Debian Bug report logs - #657927
soundmodem: FTBFS(kfreebsd): undefined reference to `sound_init'

version graph

Package: kfreebsd-kernel-headers; Maintainer for kfreebsd-kernel-headers is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for kfreebsd-kernel-headers is src:kfreebsd-kernel-headers.

Reported by: Christoph Egger <christoph@debian.org>

Date: Mon, 30 Jan 2012 00:45:02 UTC

Severity: serious

Tags: sid, wheezy

Found in version kfreebsd-kernel-headers/0.65

Fixed in version kfreebsd-kernel-headers/0.67

Done: Steven Chamberlain <steven@pyro.eu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, unknown-package@qa.debian.org:
Bug#657927; Package src:oundmodem. (Mon, 30 Jan 2012 00:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, unknown-package@qa.debian.org. (Mon, 30 Jan 2012 00:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: soundmodem: FTBFS(kfreebsd): undefined reference to `sound_init'
Date: Mon, 30 Jan 2012 01:43:48 +0100
Package: src:oundmodem
Version: 0.16-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

gcc  -g -O2 -Wall -O2   -o meas meas.o ../libmisc/libmisc.a ../matlib/libmat.a -lhamlib -lm 
meas.o: In function `main':
/build/buildd-soundmodem_0.16-1+b1-kfreebsd-i386-4_CWs9/soundmodem-0.16/pammodem/meas.c:430: undefined reference to `sound_init'
collect2: ld returned 1 exit status
make[3]: *** [meas] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=soundmodem&arch=kfreebsd-i386&ver=0.16-1%2Bb1&stamp=1327684578

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Bug reassigned from package 'src:oundmodem' to 'src:soundmodem'. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Mon, 30 Jan 2012 09:00:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions oundmodem/0.16-1. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Mon, 30 Jan 2012 09:00:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions soundmodem/0.16-1. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Mon, 30 Jan 2012 09:00:05 GMT) Full text and rfc822 format available.

Added indication that bug 657927 blocks 655074 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Mon, 30 Jan 2012 09:03:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Hamradio Maintainers <debian-hams@lists.debian.org>:
Bug#657927; Package src:soundmodem. (Sat, 07 Apr 2012 19:18:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Hamradio Maintainers <debian-hams@lists.debian.org>. (Sat, 07 Apr 2012 19:18:11 GMT) Full text and rfc822 format available.

Message #18 received at 657927@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Christoph Egger <christoph@debian.org>
Cc: 657927@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#657927: soundmodem: FTBFS(kfreebsd): undefined reference to `sound_init'
Date: Sat, 07 Apr 2012 20:15:57 +0100
Hi,

I think this was due to 656947 (broken soundcard.h meant the configure
testcase would fail) and fixed since kfreebsd-kernel-headers 0.66.

It builds okay on kfreebsd-i386 when I tried it.

Christoph -- could you please requeue soundmodem on the kfreebsd-i386
and kfreebsd-amd64 buildds?

Thanks,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Hamradio Maintainers <debian-hams@lists.debian.org>:
Bug#657927; Package src:soundmodem. (Sat, 07 Apr 2012 19:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Hamradio Maintainers <debian-hams@lists.debian.org>. (Sat, 07 Apr 2012 19:24:03 GMT) Full text and rfc822 format available.

Message #23 received at 657927@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 657927@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#657927: soundmodem: FTBFS(kfreebsd): undefined reference to `sound_init'
Date: Sat, 07 Apr 2012 21:22:51 +0200
Hi!

Steven Chamberlain <steven@pyro.eu.org> writes:
> I think this was due to 656947 (broken soundcard.h meant the configure
> testcase would fail) and fixed since kfreebsd-kernel-headers 0.66.
>
> It builds okay on kfreebsd-i386 when I tried it.
>
> Christoph -- could you please requeue soundmodem on the kfreebsd-i386
> and kfreebsd-amd64 buildds?

Ok

wb gb soundmodem . kfreebsd-amd64 kfreebsd-i386 . sid

Let's see how it goes.

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Hamradio Maintainers <debian-hams@lists.debian.org>:
Bug#657927; Package src:soundmodem. (Tue, 10 Apr 2012 18:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Hamradio Maintainers <debian-hams@lists.debian.org>. (Tue, 10 Apr 2012 18:48:06 GMT) Full text and rfc822 format available.

Message #28 received at 657927@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Christoph Egger <christoph@debian.org>
Cc: 657927@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#657927: soundmodem: FTBFS(kfreebsd): undefined reference to `sound_init'
Date: Tue, 10 Apr 2012 19:44:30 +0100
blocks 657927 by 656947
reassign 657927 kfreebsd-kernel-headers
found 657927 0.65
close 657927 0.67
thanks

On 07/04/12 20:22, Christoph Egger wrote:
> Steven Chamberlain <steven@pyro.eu.org> writes:
>> I think this was due to 656947 (broken soundcard.h meant the configure
>> testcase would fail) and fixed since kfreebsd-kernel-headers 0.66.
>>
>> It builds okay on kfreebsd-i386 when I tried it.
>>
>> Christoph -- could you please requeue soundmodem on the kfreebsd-i386
>> and kfreebsd-amd64 buildds?
> 
> Ok
> 
> wb gb soundmodem . kfreebsd-amd64 kfreebsd-i386 . sid
> 
> Let's see how it goes.

It builds fine now.  Thanks a lot!

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Bug reassigned from package 'src:soundmodem' to 'kfreebsd-kernel-headers'. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Tue, 10 Apr 2012 18:48:07 GMT) Full text and rfc822 format available.

No longer marked as found in versions soundmodem/0.16-1. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Tue, 10 Apr 2012 18:48:08 GMT) Full text and rfc822 format available.

Marked as found in versions kfreebsd-kernel-headers/0.65. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Tue, 10 Apr 2012 18:48:09 GMT) Full text and rfc822 format available.

Marked as fixed in versions kfreebsd-kernel-headers/0.67. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Tue, 10 Apr 2012 18:48:09 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Tue, 10 Apr 2012 18:48:10 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Tue, 10 Apr 2012 18:48:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 657927: 656947 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Tue, 10 Apr 2012 18:51:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 May 2012 07:36:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:27:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.